#ifndef GRIDMETER_H_
#define GRIDMETER_H_

#include "esp_err.h"
#include "esp_event_base.h"

#ifdef __cplusplus
extern "C" {
#endif

ESP_EVENT_DECLARE_BASE(GRIDMETER_EVENT);

typedef enum {
    GRIDMETER_EVENT_UPDATE
} gridmeter_event_id_t;

esp_err_t gridmeter_init(void);
esp_err_t gridmeter_read_current(float *current);

#ifdef __cplusplus
}
#endif

#endif /* GRIDMETER_H_ */
